summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorZac Medico <zmedico@gentoo.org>2007-12-13 20:54:57 +0000
committerZac Medico <zmedico@gentoo.org>2007-12-13 20:54:57 +0000
commite8e6e618b20b14a24c140cdc3622b7b3ccd5bf90 (patch)
tree1f8003dbf232438be52b89739b7a1c300499b6eb /bin
parent6d28fe0a9414b014d1329bf3a81e86e703c84d61 (diff)
downloadportage-e8e6e618b20b14a24c140cdc3622b7b3ccd5bf90.tar.gz
portage-e8e6e618b20b14a24c140cdc3622b7b3ccd5bf90.tar.bz2
portage-e8e6e618b20b14a24c140cdc3622b7b3ccd5bf90.zip
Disable the "QA Notice: Pre-stripped files" message when RESTRICT
contains "strip" or "binchecks". This is needed at least for the glibc ebuild since it calls prepallstrip directly, resulting in it being called twice. Thanks to loki_val for reporting. (trunk r8915) svn path=/main/branches/2.1.2/; revision=8916
Diffstat (limited to 'bin')
-rwxr-xr-xbin/prepstrip15
1 files changed, 9 insertions, 6 deletions
diff --git a/bin/prepstrip b/bin/prepstrip
index 178b5c173..a5d4278de 100755
--- a/bin/prepstrip
+++ b/bin/prepstrip
@@ -66,12 +66,15 @@ save_elf_debug() {
# The existance of the section .symtab tells us that a binary is stripped.
# We want to log already stripped binaries, as this may be a QA violation.
# They prevent us from getting the splitdebug data.
-f=$(scanelf -yqRBF '#k%F' -k '!.symtab' "$@")
-if [[ -n ${f} ]] ; then
- vecho -e "\a\n"
- eqawarn "QA Notice: Pre-stripped files found:"
- eqawarn "${f}"
- echo "${f}" > "${T}"/scanelf-already-stripped.log
+if ! hasq binchecks ${RESTRICT} && \
+ ! hasq strip ${RESTRICT} ; then
+ f=$(scanelf -yqRBF '#k%F' -k '!.symtab' "$@")
+ if [[ -n ${f} ]] ; then
+ vecho -e "\a\n"
+ eqawarn "QA Notice: Pre-stripped files found:"
+ eqawarn "${f}"
+ echo "${f}" > "${T}"/scanelf-already-stripped.log
+ fi
fi
# Now we look for unstripped binaries.